Package org.pushingpixels.substance.internal.utils.filters

# Class ColorSchemeFilter

java.lang.Object
org.pushingpixels.substance.internal.utils.filters.AbstractFilter
org.pushingpixels.substance.internal.utils.filters.ColorSchemeFilter

All Implemented Interfaces:
  `BufferedImageOp`

public class ColorSchemeFilter extends AbstractFilter

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final LazyResettableHashMap<ColorSchemeFilter>`
`filters`
`static final int`
`MAPSTEPS`
`protected float`
`originalBrightnessFactor`

## Method Summary

Modifier and Type
Method
Description
`BufferedImage`
`filter(BufferedImage src, BufferedImage dst)`
`static ColorSchemeFilter`
`getColorSchemeFilter(SubstanceColorScheme scheme, float originalBrightnessFactor)`

### Methods inherited from class org.pushingpixels.substance.internal.utils.filters.AbstractFilter

`createCompatibleDestImage, getBounds2D, getPixels, getPoint2D, getRenderingHints, setPixels`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MAPSTEPS

public static final int MAPSTEPS

See Also:
  - Constant Field Values

### filters

protected static final LazyResettableHashMap<ColorSchemeFilter> filters

### originalBrightnessFactor

protected float originalBrightnessFactor

## Method Details

### getColorSchemeFilter

public static ColorSchemeFilter getColorSchemeFilter(SubstanceColorScheme scheme, float originalBrightnessFactor)

### filter

public BufferedImage filter(BufferedImage src, BufferedImage dst)

Specified by:
  `filter` in interface `BufferedImageOp`
Specified by:
  `filter` in class `AbstractFilter`